package org.computer.aman.io.sourcecode;

import java.io.File;
import java.io.FileNotFoundException;

/**
 * եΥǥ
 * <p>
 * @author Hirohisa AMAN &lt;aman@computer.org&gt;
 * @version $Id: SourceFile.java,v 1.1 2008/08/19 03:19:58 aman Exp $ 
 */
public class SourceFile extends File
{
    /**
     * ꤵ줿ѥΥեбǥ
     * 
     * @param aPathName եΥѥ̾
     * @throws FileNotFoundException ե뤬¸ߤʤ
     * @throws SecurityException ե뤬ɤ߽Фʤ
     */
    public SourceFile(final String aPathName) 
    throws FileNotFoundException, SecurityException
    {
        super(aPathName);
        if ( !isFile() ){
            throw new FileNotFoundException("File not found: " + aPathName);
        }
        if ( !canRead() ){
            throw new SecurityException("can't open file: " + aPathName);
        }
    }

    /**
     * եγĥҤ֤
     * 
     * @return եγĥ
     */
    public String getExtension()
    {
        String fileName = getName().toLowerCase();
        int index = fileName.lastIndexOf('.');

        return fileName.substring(index+1);
    }
    
    private static final long serialVersionUID = 2008061301L;
}
